### Method

# FwupdPlugin Firmware set_parent

since: 1.8.2

#### Declaration [src]

    void
    fu_firmware_set_parent (
      FuFirmware* self,
      FuFirmware* parent
    )

#### Description [src]

Sets the parent. Only used internally.

Available since: 1.8.2

Sets property | `FwupdPlugin.Firmware:parent`

#### Parameters

`parent`

  Type: `FuFirmware`

  Another `FuFirmware`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.